Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 508075 - [HTML5]Unclosed <title> eats the page (should be closed by <body>)
: [HTML5]Unclosed <title> eats the page (should be closed by <body>)
Product: Core
Classification: Components
Component: HTML: Parser (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: Andrew Overholt [:overholt]
: 592792 (view as bug list)
Depends on:
Blocks: html5-parsing 504941
  Show dependency treegraph
Reported: 2009-08-03 11:56 PDT by Boris Zbarsky [:bz] (still a bit busy)
Modified: 2010-09-01 12:04 PDT (History)
9 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Boris Zbarsky [:bz] (still a bit busy) 2009-08-03 11:56:07 PDT
See testcase in url field.   This came up on a real web page, but it's an intranet page, sadly (

Safari shows the text.  Opera doesn't seem to.  Old Gecko parser shows it.

Note that this is a regression of bug 42945.
Comment 1 Henri Sivonen (:hsivonen) (not reading bugmail or doing reviews until 2016-10-27) 2009-08-06 05:11:45 PDT
As far as I can tell, this behavior is compatible with IE8 (IE 5.5 mode and IE8 Standars mode tested).

Due to the IE behavior, I doubt this problem is significant on the public Web or on the intranets of companies where IE is used at all.

I'm very tempted to treat this as WONTFIX/INVALID, because closing title on <body> would complicate the tokenizer.

In any case, pursuing this would mean escalating this as a spec bug.
Comment 2 Henri Sivonen (:hsivonen) (not reading bugmail or doing reviews until 2016-10-27) 2009-08-06 05:33:25 PDT
<hsivonen> I wonder if  has ever been a practical problem for Opera
<gsnedders|work> hsivonen: Yes
<zcorpan> closing on <body> would be the wrong fix
<zcorpan> the right fix is reparsing
<zcorpan> which is a wontfix :)
<gsnedders|work> hsivonen: (Very very very rare, though)
Comment 3 Boris Zbarsky [:bz] (still a bit busy) 2009-08-06 06:28:57 PDT
Yeah, I realize this would need escalation to the spec.  This used to be a serious problem for Gecko (see the number of dups bug 42945 has, if nothing else!).  Did IE change its parsing of <title> at some point or something?
Comment 4 Henri Sivonen (:hsivonen) (not reading bugmail or doing reviews until 2016-10-27) 2009-08-06 09:32:10 PDT
I examined the test cases and live sites from the dupes of bug 42945 in IE6. All live sites were either gone or had been fixed. Most of the time, the test cases caused the whole page to be eaten up in IE6. However, sometimes, the whole page didn't end up being eaten. I couldn't see any logic in eating/not eating the page.
Comment 5 Jesse Ruderman 2009-08-06 22:18:02 PDT
Another page that shows up blank with the HTML5 parser enabled is  It uses <title content="..." />.
Comment 6 Henri Sivonen (:hsivonen) (not reading bugmail or doing reviews until 2016-10-27) 2009-08-07 01:22:22 PDT is blank in IE8 and Opera 10 beta 6477 also. If it is already blank in IE plus another top-4 browser engine, I'd classify it as a site bug.
Comment 7 Henri Sivonen (:hsivonen) (not reading bugmail or doing reviews until 2016-10-27) 2009-11-20 04:41:10 PST
Considering the behavior of IE8 and Opera 10 in the case of, considering that is on a virtually Gecko-only intranet that should be evangelizable and considering the "right" fix would be reparsing, I'm resolving this as WONTFIX.
Comment 8 Boris Zbarsky [:bz] (still a bit busy) 2009-11-20 08:50:50 PST
> that should be evangelizable

It was fixed soon after I filed this bug, fwiw.
Comment 9 Kevin Brosnan 2010-09-01 12:04:26 PDT
*** Bug 592792 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.